Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractStream

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.AbstractStream

All Implemented Interfaces:
  AbstractStreamInterface, com.trolltech.qt.QtJambiInterface

    public abstract class AbstractStream

extends com.trolltech.qt.QtJambiObject
implements AbstractStreamInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `AbstractStream()` This method is internal to Qt Jambi.
`protected` | `AbstractStream(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractStream(long ptr)` This method is internal to Qt Jambi.
`void` | `connectToSource(MediaSource mediaSource)` This method is internal to Qt Jambi.
`abstract void` | `endOfData()` This method is internal to Qt Jambi.
`void` | `enoughData()` This method is internal to Qt Jambi.
`static AbstractStream` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`void` | `needData()` This method is internal to Qt Jambi.
`void` | `reset()` This method is internal to Qt Jambi.
`void` | `seekStream(long seekTo)` This method is internal to Qt Jambi.
`abstract void` | `setStreamSeekable(boolean s)` This method is internal to Qt Jambi.
`abstract void` | `setStreamSize(long newSize)` This method is internal to Qt Jambi.
`abstract void` | `writeData(com.trolltech.qt.core.QByteArray data)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AbstractStream

    public AbstractStream()

  This method is internal to Qt Jambi.

### AbstractStream

    protected AbstractStream(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### connectToSource

    public final void connectToSource(MediaSource mediaSource)

  This method is internal to Qt Jambi.

  Specified by:
    `connectToSource` in interface `AbstractStreamInterface`

### enoughData

    public final void enoughData()

  This method is internal to Qt Jambi.

  Specified by:
    `enoughData` in interface `AbstractStreamInterface`

### needData

    public final void needData()

  This method is internal to Qt Jambi.

  Specified by:
    `needData` in interface `AbstractStreamInterface`

### reset

    public final void reset()

  This method is internal to Qt Jambi.

  Specified by:
    `reset` in interface `AbstractStreamInterface`

### seekStream

    public final void seekStream(long seekTo)

  This method is internal to Qt Jambi.

  Specified by:
    `seekStream` in interface `AbstractStreamInterface`

### endOfData

    public abstract void endOfData()

  This method is internal to Qt Jambi.

  Specified by:
    `endOfData` in interface `AbstractStreamInterface`

### setStreamSeekable

    public abstract void setStreamSeekable(boolean s)

  This method is internal to Qt Jambi.

  Specified by:
    `setStreamSeekable` in interface `AbstractStreamInterface`

### setStreamSize

    public abstract void setStreamSize(long newSize)

  This method is internal to Qt Jambi.

  Specified by:
    `setStreamSize` in interface `AbstractStreamInterface`

### writeData

    public abstract void writeData(com.trolltech.qt.core.QByteArray data)

  This method is internal to Qt Jambi.

  Specified by:
    `writeData` in interface `AbstractStreamInterface`

### fromNativePointer

    public static AbstractStream fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractStream

    public long __qt_cast_to_AbstractStream(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_AbstractStream` in interface `AbstractStreamInterface`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD